# BEGIN SourceDeps(oneline):
BuildRequires: perl(Coro.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name Coro-Channel-Factory
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Factory for named Coro::Channel queues.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PO/PODONNELL/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module provides a very simple name-binding for Coro::Channel, removing the need to track individual Coro::Channel objects.

As long as the Coro::Channel::Factory object is available, any named Coro::Channel can be utilised.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/C*

%changelog
* Wed Oct 15 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

